- Qt 5.15
- Qt 3D
- C++ Classes
- QRenderCaptureReply
- Qt 5.15.11 Reference Documentation

# QRenderCaptureReply Class

class Qt3DRender::QRenderCaptureReply

Receives the result of render capture request. More...

Header: | #include <Qt3DRender/QRenderCaptureReply>
qmake: | QT += 3drender
Since: | Qt 5.8
Instantiated By: | RenderCaptureReply

This class was introduced in Qt 5.8.

- List of all members, including inherited members
- Obsolete members

## Properties

- captureId : const int
- complete : const bool
- image : const QImage

## Public Functions

int | captureId() const
QImage | image() const
bool | isComplete() const
bool | saveImage(const QString &fileName) const

## Signals

void | completed()

## Detailed Description

An object, which receives the image from QRenderCapture::requestCapture.

## Property Documentation

### captureId : const int

Holds the captureId, which was passed to the renderCapture.

Access functions:

int | captureId() const

### complete : const bool

Holds the complete state of the render capture.

Access functions:

bool | isComplete() const

Notifier signal:

void | completed()

### image : const QImage

Holds the image, which was produced as a result of render capture.

Access functions:

QImage | image() const

## Member Function Documentation

### bool QRenderCaptureReply::saveImage(const QString &fileName) const

Saves the render capture result as an image to fileName.

Returns true if the image was successfully saved; otherwise returns false.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

This function was introduced in Qt 5.9.